package com.example.common.enums;

public enum ResultCodeEnum {
    SUCCESS("200", "成功"),
    ORDER_FINISHED("200","订单已完成"),

    PARAM_ERROR("400", "参数异常"),
    TOKEN_INVALID_ERROR("401", "无效的token"),
    TOKEN_CHECK_ERROR("401", "token验证失败，请重新登录"),
    PARAM_LOST_ERROR("4001", "参数缺失"),
    INSERT_ERROR("4006","插入失败，请检查是否满足插入条件"),
    NEXT_STATUS_ERROR("4007","订单已完成，无法切换到下一个状态"),
    ACCOUNT_AUTHORITY_LIMIT("4008","用户权限不足"),
    SYSTEM_ERROR("500", "系统异常"),
    USER_EXIST_ERROR("5001", "用户名已存在"),
    USER_NOT_LOGIN("5002", "用户未登录"),
    USER_ACCOUNT_ERROR("5003", "账号或密码错误"),
    USER_NOT_EXIST_ERROR("5004", "用户不存在"),
    PARAM_PASSWORD_ERROR("5005", "原密码输入错误"),
    ACCOUNT_LIMIT_ERROR("5006","余额不足");
    //
    ;

    public String code;
    public String msg;

    ResultCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
